com.google.gwt.codegen.server

## Class StringSourceWriter

- java.lang.Object
- - com.google.gwt.codegen.server.SourceWriterBase
  - - com.google.gwt.codegen.server.StringSourceWriter

All Implemented Interfaces:
  SourceWriter

    public class StringSourceWriter
    extends SourceWriterBase

A SourceWriter that accumulates source and returns it in the `toString()` method.

Experimental API - subject to change.

### Constructor Summary

Constructors
Constructor and Description
`StringSourceWriter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `abort()` Abort the source file being generated.
`java.lang.String` `toString()`
`protected void` `writeString(java.lang.String s)` Write a string to the underlying output.

### Methods inherited from class com.google.gwt.codegen.server.SourceWriterBase

`beginJavaDocComment, close, endJavaDocComment, indent, indentln, indentln, outdent, print, print, println, println, println`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StringSourceWriter

    public StringSourceWriter()

### Method Detail

#### abort

    public void abort()

Description copied from interface: `SourceWriter`
Abort the source file being generated.

Specified by:
  `abort` in interface `SourceWriter`
Specified by:
  `abort` in class `SourceWriterBase`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### writeString

    protected void writeString(java.lang.String s)

Description copied from class: `SourceWriterBase`
Write a string to the underlying output.

Specified by:
  `writeString` in class `SourceWriterBase`